<?php

include('pdf/fpdf.php');
session_cache_limiter('private');
session_start();
$com = "I";
$f_m="";
$tot_ocu=0;
$tot_tot=0;
include("DMMYSQLG.php");
require_once("DF80000.php");
class PDF extends FPDF{
//Cabecera de página
	function Header(){
	    //Logo
	         include("DYIM_VER.php");
	    //Arial bold 14
		$this->SetFont('Arial','B',12);
		//Título
		$this->Cell(225,5,'PRONOSTICO DE rec_ocupacion X SEGMENTO',0,1,'C',0);
		//Salto de línea
		$this->Cell(50,5,'Fecha del : '.$_POST['fec'].'',0,0,'C',0);
		$this->Ln(8);
		$this->SetFont('Arial','B',7);//establece tamaño de letra
		$this->SetFillColor(192,192,192);
		$this->Cell(70,5,'',0,0,'C',0);
		$this->Cell(40,5,'SEGMENTOS',1,0,'C',1);
		$this->Cell(40,5,'OCUPADAS',1,0,'C',1);
		$this->cell(10,5,'%',1,1,'C',1);

	}	
	//Pie de página
	function Footer()
	{
	//Posición: a 1,5 cm del final
	$this->SetY(-15);
	//Arial italic 8
	$this->SetFont('Arial','I',8);
	//Número de página
	$this->Cell(0,10, $this->PageNo(),0,0,'C');
	}
}

$pdf=new PDF('L','mm','Letter');
$pdf->AddPage();

$pdf->SetFillColor(192,192,192);
$pdf->SetFont('Arial','',7);//establece tamaño de letra
if(!isset($_POST['tbus']))$_POST['tbus']="";
$tbus=mysqli_real_escape_string($GLOBALS['con'],$_POST['tbus']);

    $fec = $_POST['fec'];
	include('DF20000.php');
	$fecha_inicial = $f_m;

    $sql =  mysqli_query($GLOBALS['con'] ,"SELECT * FROM valeryus06");
          
while($row = mysqli_fetch_array($sql)){

    $pdf-> Cell(70,5,'',0,0,'C',0);
	$pdf-> Cell(40,5, $row['descripcion'],1,0,'C',0);
	$c=mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,"select count(*) as ocupadas from valeryus19 where ffecllegada<='".$fecha_inicial."' and ffecsalida>='".$fecha_inicial."' and codseg='".$row['descripcion']."' and status='HUESPED'"));
	
	$pdf-> Cell(10,5, $c['ocupadas'],1,0,'C',0);
	$pdf-> Cell(30,5, 'HABS',1,0,'C',0);
	$Por=$c['ocupadas']*100/392;
	$pdf-> Cell(10,5, number_format($Por,2,'.',','),1,1,'C',0);
	$tot_ocu=$tot_ocu+$c["ocupadas"];	
	$tot_tot=$tot_tot+$Por;	
	}
	//Salto de línea
	$pdf->SetFont('Arial','B',7);
    $pdf-> Cell(70,5,'',0,0,'C',0);
	$pdf-> Cell(40,5,'HABITACIONES',0,0,'C',1);
	$pdf-> Cell(10,5,' '.$tot_ocu,0,0,'C',1);
	$pdf-> Cell(30,5,'GRAN TOTAL',0,0,'C',1);
	$pdf-> Cell(10,5, number_format($tot_tot,2,'.',','),0,1,'C',1);
	
$pdf->Output("Pronostico de rec_ocupacion x Segmento.pdf","D");
//158 --> 50 ultima actualizacion 9-enero-2012 reporte de segmentos 
?> 